<?php include_once (TEMPLATEPATH . '/functions/optionsadd.php'); ?>
<?php
function p75_add_admin() {

    add_menu_page("Video Flick", "Video Flick", 'edit_themes', basename(__FILE__), 'p75_admin', "http://www.press75.com/favicon.ico");

}

function p75_admin() {

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Video Flick Options Saved.</strong></p></div>';
    
?>
<!-- begin show-hide -->
<script src="<?php bloginfo('template_url'); ?>/functions/jquery.js" type="text/javascript"></script>
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/functions/optionstyles.css" type="text/css" media="screen" />
<?php include (TEMPLATEPATH . '/functions/containers.php'); ?> 
<!-- end show-hide -->
<div class="wrap">

    <div style="margin-left:0px;">
    
    <form method="post" action="options.php"><?php wp_nonce_field('update-options'); ?>
		<fieldset name="general_options" class="options">
        
        <div class="firstoptiondiv">
            <h2 class="options"><a href="#" id="site-style-toggle">Site Style Selection</a></h2>
            <p>Use these options to select between different theme styles.</p>
            <div id="site-style">
				<?php include (TEMPLATEPATH . '/functions/forms/site-styles.php'); ?> 
                <p class="submit"><input type="submit" name="Submit" value="Save Options" /></p>
            </div>
        </div>
        
        <div class="optiondiv">
            <h2 class="options"><a href="#" id="site-logo-toggle">Site Logo Configuration</a></h2>
            <p>Use these options to cutomize your logo, or select a standard text based logo.</p>
            <div id="site-logo">
				<?php include (TEMPLATEPATH . '/functions/forms/site-logo.php'); ?> 
                <p class="submit"><input type="submit" name="Submit" value="Save Options" /></p>
            </div>
        </div>
        
        <div class="optiondiv">
            <h2 class="options"><a href="#" id="head-ad-toggle">Header Advertisement (Top Right) 468x60</a></h2>
            <p>This is the primary advertisement for the Video Flick theme displayed in the to right portion of the site header.</p>
            <div id="head-ad">
				<?php include (TEMPLATEPATH . '/functions/forms/head-advertisement.php'); ?> 
                <p class="submit"><input type="submit" name="Submit" value="Save Options" /></p>
            </div>
        </div>
        
        <div class="optiondiv">
            <h2 class="options"><a href="#" id="sidebar-ads-toggle">Sidebar Advertisement (Mid Sidebar) 125x125</a></h2>
            <p>These are the 4 sidebar advertisements found within the Video Flick sidebar displayed on all pages.</p>
            <div id="sidebar-ads">
				<?php include (TEMPLATEPATH . '/functions/forms/sidebar-advertisements.php'); ?> 
                <p class="submit"><input type="submit" name="Submit" value="Save Options" /></p>
            </div>
        </div>
        
        <div class="optiondiv">
            <h2 class="options"><a href="#" id="featured-side-toggle">Featured Items (Sidebar)</a></h2>
            <p>Use these options to configure Featured Items found within the sidebar. These can be configured for whatever you want. e.g. "Daily Specials"</p>
            <div id="featured-side">
				<?php include (TEMPLATEPATH . '/functions/forms/featured-side.php'); ?> 
                <p class="submit"><input type="submit" name="Submit" value="Save Options" /></p>
            </div>
        </div>
        
        <div class="optiondiv">
            <h2 class="options"><a href="#" id="analytics-toggle">Google Analytics Configuration (Optional)</a></h2>
            <p>Use these options to configure Google Analytics integration.</p>
            <div id="analytics">
				<?php include (TEMPLATEPATH . '/functions/forms/analytics.php'); ?> 
                <p class="submit"><input type="submit" name="Submit" value="Save Options" /></p>
            </div>
        </div>
        
        <input type="hidden" name="action" value="update" />
        <input type="hidden" name="page_options" value="<?php include (TEMPLATEPATH . '/functions/optionsreg.php'); ?>" />

		</fieldset>
		<p class="submit"><input type="submit" name="Submit" value="Save All Options" /></p>
	</form>  
    
    </div>
        
</div>
<?php } add_action('admin_menu', 'p75_add_admin'); ?>
<?php function get_thumbnail($postID) {
    if( function_exists('p75GetThumbnail') ) {
        $thumbnail = p75GetThumbnail($postID);
        return $thumbnail ? $thumbnail : get_bloginfo('template_url') . '/images/default-thumb.png';
    }
    return "";
}

function get_video($postID) {
    if( function_exists('p75GetVideo') ) {
        $video = p75GetVideo($postID);
        return $video ? "<div class='video'>" . $video . "</div>" : "";
    }
    return "";
}
?>
<?php  function the_title2($before = '', $after = '', $echo = true, $length = false) { $title = get_the_title();
	
	if ( $length && is_numeric($length) ) {
		$title = substr( $title, 0, $length );
	}
	
	if ( strlen($title)> 0 ) {
		$title = apply_filters('the_title2', $before . $title . $after, $before, $after);
		if ( $echo )
			echo $title;
		else
			return $title;
	}
}
?>
<?php
add_filter('comments_template', 'legacy_comments');
function legacy_comments($file) {

	if(!function_exists('wp_list_comments')) : // WP 2.7-only check
		$file = TEMPLATEPATH . '/legacy.comments.php';
	endif;

	return $file;
}
?>
<?php
if ( function_exists('register_sidebar') )
	register_sidebar(array(
	'before_widget' => '<div id="%1$s" class="widgetblock %2$s">',
	'after_widget' => '</div>',
	'before_title' => '<h3 class="widgettitle">',
	'after_title' => '</h3>',
));
?>