<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?> />

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<?php if (is_single() || is_page() ) : if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
<meta name="description" content="<?php the_excerpt_rss(); ?>" />
<?php endwhile; endif; elseif(is_home()) : ?>
<meta name="description" content="<?php bloginfo('description'); ?>" />
<?php endif; ?>

<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>

<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/style<?php echo get_option('style_select'); ?>.css" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/images/favicon.ico" type="image/x-icon" />

<!-- WordPress Specific Styles -->
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/style-wp.css" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/style-comments<?php echo get_option('style_select'); ?>.css" type="text/css" media="screen" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/style-menu<?php echo get_option('style_select'); ?>.css" type="text/css" media="screen" />

<script src="<?php bloginfo('template_url'); ?>/scripts/jquery.min.js" type="text/javascript"></script>
<script src="<?php bloginfo('template_url'); ?>/scripts/jquery.fade.js" type="text/javascript"></script>
<script src="<?php bloginfo('template_url'); ?>/scripts/jquery.superfish.js" type="text/javascript"></script>
<script src="<?php bloginfo('template_url'); ?>/scripts/jquery.hoverintent.js" type="text/javascript"></script>
<script type="text/javascript">
jQuery(function(){
	jQuery('ul.sf-menu').superfish();
});

</script>

<?php wp_head(); ?>
</head>
<body>

<div id="wrapper">

<?php include (TEMPLATEPATH . '/header-content.php'); ?>